<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:NL="http://www.shef.ac.uk/SpineMLNetworkLayer"
xmlns:LL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer">

 
<!-- NL to LL -->
<xsl:template match="NL:SpineML|NL:Neuron|NL:WeightUpdate|NL:PostSynapse|NL:Population|NL:Projection|NL:Synapse">
<xsl:element name="LL:{name()}" namespace="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer">
<xsl:apply-templates select="@* | node()" />
</xsl:element>
</xsl:template>

<!-- LL Group to LL Population copy (UI always saves groups as populations so this is only for completeness) -->
<xsl:template match="LL:Group">
<xsl:element name="LL:Population">
<xsl:apply-templates select="@* | node()" />
</xsl:element>
</xsl:template>

<!-- default copy -->
<xsl:template match="@* | node()">
<xsl:copy>
<xsl:apply-templates select="@* | node()" />
</xsl:copy>
</xsl:template>

</xsl:stylesheet>


