<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:Dynamics" mode="doTrans">
<xsl:param name="suffix"/>
	//Dynamics transitions
	regimeNext = regime<xsl:value-of select="$suffix"/>[i];
	// switch on regime:
	switch (regime<xsl:value-of select="$suffix"/>[i]) { 
	<xsl:apply-templates select="SMLCL:Regime" mode="doTrans">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>
	}
	regime<xsl:value-of select="$suffix"/>[i] = regimeNext;
</xsl:template>

<xsl:template match="SMLCL:Dynamics" mode="doIter">
<xsl:param name="suffix"/>
	//Dynamics time derivatives
	// switch on regime:
	switch (regime<xsl:value-of select="$suffix"/>[i]) { 
	<xsl:apply-templates select="SMLCL:Regime" mode="doIter"><xsl:with-param name="suffix" select="$suffix"/></xsl:apply-templates>
	}
</xsl:template>

<xsl:include href="SpineML_Regime.xsl"/>
<xsl:include href="SpineML_OnEvent.xsl"/>
<!--xsl:include href="SpineML_StateVariable.xsl"/-->

</xsl:stylesheet>
