<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer"xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:ImpulseOut" mode="doIO">
<xsl:param name="suffix"/>
<xsl:variable name="thisPort" select="@port"/>
<xsl:variable name="portNum">
        <xsl:for-each select="//SMLCL:AnalogSendPort | //SMLCL:EventSendPort | //SMLCL:ImpulseSendPort">
		<xsl:if test="$thisPort=@name">
			<xsl:value-of select="position()-1"/>
		</xsl:if>
	</xsl:for-each>
</xsl:variable>
			//ImpulseOut
			//printf("%f %d %d\n",timerCounter*dt,100000,i);
			// create the port ID
			//int portID;
			portID = i&lt;&lt;4|<xsl:value-of select="$portNum"/>;
			// send an impulse using val from the created array - this is the same for all ImpulseOuts
			sendpkt(portID, <xsl:value-of select="$suffix"/><xsl:value-of select="@port"/>[the_nrn_index]);<!---->
</xsl:template>


			

</xsl:stylesheet> 

