<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:StateAssignment"  mode="doSASYN">
<xsl:param name="suffix"/> 
<xsl:param name="indices"/>
<xsl:variable name="index">
<xsl:if test="not(number($indices)=1)">[i]</xsl:if>	
</xsl:variable>
			//StateAssignment
			<xsl:value-of select="@variable"/><xsl:value-of select="concat($suffix, $index)"/>
			<!----> = <!---->
			<xsl:call-template name="add_suffix">
				<xsl:with-param name="params" select="//SMLCL:Parameter | //SMLCL:StateVariable | //SMLCL:AnalogReducePort | //SMLCL:AnalogReceivePort | //SMLCL:Alias"/>
				<xsl:with-param name="string" select="SMLCL:MathInline"/>
				<xsl:with-param name="suffix" select="concat($suffix, $index)"/>
			</xsl:call-template>
			<!---->;<!---->
</xsl:template>

<xsl:template match="SMLCL:StateAssignment"  mode="doSA">
<xsl:param name="suffix"/> 
<xsl:param name="indices"/>
<xsl:variable name="index">
<xsl:if test="not(number($indices)=1)">[i]</xsl:if>	
</xsl:variable>
			//StateAssignment
			<xsl:value-of select="@variable"/><xsl:value-of select="concat($suffix, $index)"/>
			<!----> = <!---->
			<xsl:call-template name="add_suffix">
				<xsl:with-param name="params" select="//SMLCL:StateVariable | //SMLCL:AnalogReducePort | //SMLCL:AnalogReceivePort"/>
				<xsl:with-param name="string" select="SMLCL:MathInline"/>
				<xsl:with-param name="suffix" select="concat($suffix, $index)"/>
			</xsl:call-template>
			<!---->;<!---->
</xsl:template>

</xsl:stylesheet>
